Summary:	Versatile STOMP client
Name:		stompclt
Version:	0.9
Release:	1%{?dist}
URL:		http://cern.ch/lionel.cons/perl/%{name}/
License:	GPL+ or Artistic
Group:		Development/Libraries
Source0:	http://cern.ch/lionel.cons/perl/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
BuildRequires:	perl
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl(Net::STOMP::Client) >= 2.0
# the following one is in theory optional but really nice to have everywhere
Requires:	perl(Directory::Queue)
# the other required Perl modules will be found by rpmbuild

%description
stompclt is a versatile tool to interact with messaging brokers speaking
STOMP and/or message queues (see Messaging::Message::Queue) on disk.

It receives messages (see Messaging::Message) from an incoming module,
optionally massaging them (i.e. filtering and/or modifying), and sends
them to an outgoing module. Depending on which modules are used, the tool
can perform different operations.

%prep
%setup -q -n %{name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%install
rm -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -fv {} \;
find %{buildroot} -depth -type d -empty -exec rmdir -v {} \;
%{_fixperms} %{buildroot}/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%changelog
* Mon Apr 22 2013 Massimo Paladin <massimo.paladin@gmail.com> 0.9-1
- Update to 0.9, rhbz #954346.

* Tue Feb 26 2013 Massimo Paladin <massimo.paladin@gmail.com> 0.8-1
- Update to 0.8, rhbz #915292.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 10 2012 Massimo Paladin <massimo.paladin@gmail.com> 0.7-1
- Update to 0.7, rhbz #885594.

* Tue Nov 20 2012 Massimo Paladin <massimo.paladin@gmail.com> 0.6-1
- Update to 0.6.

* Thu Oct 08 2012 Massimo Paladin <massimo.paladin@gmail.com> 0.5-2
- Files section more precise.

* Thu Aug 30 2012 Lionel Cons <lionel.cons@cern.ch> 0.5-1
- First version packaged.
